preload button hover image:
Current Time: Mar 18, 2018, 04:07:57 pm
 Mount&Blade Repository
Registration is not required to download. However, it will allow you to vote, comment, and request upload access. Forgot your password?
User Name Group Member Since File Listings Comments
jamesuni Regular User Jan 21, 2012, 03:37:32 pm 0 1
Hello I have a strange problem Essentially what happens is when I use the exe of SoD it tells me that I have an unknown version of Mount and Blade Warband and that I need version 1.143 problem is I do have 1.143 according to the mount and warblade welcoming screen.
I installed it anyway and tried to play and the game broke when i pressed start a new game. This also happened after i installed the patch for SoD.
Any idea what is wrong?

Hosted by Hypernia.
Website © 2018 FenriSoft. The core site script is PHCDownload (© 2005-2018).